Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

View Properties

In Bcad, creating a View IS dependent on the layer state, such as frozen, etc.
How does one set the View properties so the layer state is neutral, & not connected to the View.
Views are often created on the fly, knowing that there will be a need to return to a specific geometry coordinate, but NOT wanting any intervening layer changes to affect the View; the desire is to View the same geometry coordinate as it NOW exists, not as it existed when the View was created (some layers might now be frozen, & that is how it needs to be seen).

Comments

  • The Layer Snapshot setting seems to be defaulted as YES in the VIEW dialog box.
    SAVELAYERSNAPSHOT doesn't seem to turn if off when looking in the VIEW dialog box.
    Is there a sysvar setting to turn it of globally?

  • The SAVELAYERSNAPSHOT setting affects newly created views. So you should definitely turn it off.
    To remove the layerstate from existing views the Lisp code below can be used. Note: the layerstates will not be erased.

    (defun c:RemoveLayerStateFromViews ( / doc)
      (setq doc (vla-get-activedocument (vlax-get-acad-object)))
      (vla-endundomark doc)
      (vla-startundomark doc)
      (vlax-for vw (vla-get-views doc)
        (vla-put-layerstate vw "")
      )
      (vla-endundomark doc)
      (princ "\nDone! ")
      (princ)
    )
    
Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam